\name{getAngle}
\alias{getAngle}
\title{Get Angle of Rotation}
\description{
  Get angle of dye-trend line from lagged differences MA-plot to be used for rotation of original \code{MA}.
}
\usage{
getAngle(MA, nlag = 8, w = 1, w.cut=0.5, ma.out = 2)
}
\arguments{
  \item{MA}{object with components \code{M} and \code{A} (which can be accessed through \code{MA$M} and \code{MA$A}, respectively), and possibly others.}
  \item{nlag}{integer between \code{1} and \code{nrow(MA$M)-1}. Probes tiled this far apart are subtracted in order to compute angle.}
  \item{w}{numeric between 0 and 1, inclusive, for weights matrix. If this is not a matrix with the same dimensions as \code{M} and \code{A}, elements will be recycled to make it so.}
  \item{w.cut}{numeric cut-off below 1. Probes with weight less than or equal to this will be excluded from angle computation.}
  \item{ma.out}{numeric distance from center of mass on MA-plot of differences. Points beyond this will be given no weight  
  in angle computation. Squared Euclidean distance is used after dividing by the average median absolute deviation in \code{M} and \code{A}.}
}
\value{
  A numeric vector of length equal to the number of chips in \code{MA}. Each element is the calculated angle of rotation in \emph{radians} for the corresponding chip. Use \code{angle*180/pi} to see in degrees.
}
\references{Shouyong Peng, Artyom A Alekseyenko, Erica Larschan, Mitzi I Kuroda, and Peter J Park. Normalization and experimental design for ChIP-chip data. \emph{BMC Bioinformatics}, 8(219), 2007.}
\author{Jonathan Dreyfuss and Shouyong Peng}
\seealso{
  \code{\link{lagNorm}} for examples.
}
\examples{
#see lagNorm
}
\keyword{array}
\keyword{algebra}
