\name{lagNoise}
\alias{lagNoise}
\title{Estimate Noise and Lag Parameter}
\description{
  Makes plot similar to figure 8 from \cite{Peng et al. (2007)} to help assess a lag parameter and per-array noise.
}
\usage{
lagNoise(MA, max.lag = 25, chip = 1, group = NULL)
}
\arguments{
  \item{MA}{object with components \code{M} and \code{A} (which can be accessed through \code{MA$M} and \code{MA$A}, respectively), and possibly others.}
  \item{max.lag}{integer between \code{1} and \code{nrow(MA$M)-1}. Diagnostics are computed for lag values of \code{1} up to \code{max.lag} (inclusive).}
  \item{chip}{numeric index (between 1 and number of chips, inclusive) indicating which chip to plot.}
  \item{group}{optional vector with length equal to the number of probes (i.e., equal to the number of rows of \code{M} and 
  \code{A}) indicating which group each probe belongs to.}
}
\details{
  To choose a lag parameter, select the smallest probe lag where the deviation curve levels off. A plot is automatically rendered whose title is the corresponding column name of \code{M}.
}
\value{
  Matrix where row names represent the lag quantity (using probes as units) and columns represent chips. Each element is the appropriate deviation.}
\references{Shouyong Peng, Artyom A Alekseyenko, Erica Larschan, Mitzi I Kuroda, and Peter J Park. Normalization and experimental design for ChIP-chip data. \emph{BMC Bioinformatics}, 8(219), 2007.}
\author{Jonathan Dreyfuss and Shouyong Peng}
\seealso{
  \code{\link{lagNorm}} for examples.
}
\examples{
#see lagNorm
}
\keyword{array}
\keyword{dplot}
\keyword{hplot}
