\name{rotateMA}
\alias{rotateMA}
\title{Rotate MA Object}
\description{
  Rotates MA object according to \code{angle} to remove dye trend.
}
\usage{
rotateMA(MA, angle)
}
\arguments{
  \item{MA}{object with components \code{M} and \code{A} (which can be accessed through \code{MA$M} and \code{MA$A}, respectively), and possibly others.}
  \item{angle}{numeric vector of length equal to the number of chips in MA. Each element is the chosen angle of rotation in \emph{radians} for the corresponding chip.}
}
\value{
  \code{MA} object with components \code{M} and \code{A} altered by rotation.
}
\references{Shouyong Peng, Artyom A Alekseyenko, Erica Larschan, Mitzi I Kuroda, and Peter J Park. Normalization and experimental design for ChIP-chip data. \emph{BMC Bioinformatics}, 8(219), 2007.}
\author{Jonathan Dreyfuss and Shouyong Peng}
\seealso{
  \code{\link{lagNorm}} for examples.
}
\examples{
#see lagNorm
}
\keyword{array}
\keyword{algebra}